## QueenGlandBuff

The goal of this mod is to buff Beetle Guards spawned by the Queen's Gland so they provide more than just emotional support.

**Skill Changes**

The biggest issue with Beetle Guards is their inability to fight an aerial enemy, to counter this its attacks now launch projectiles.
These extra projectiles also make Beetle Guards deal a lot of extra damage so their base damage has been reduced (don't worry they still deal more damage overall).

<a href="https://imgur.com/wWG1E1P"><img src="https://i.imgur.com/wWG1E1P.png" title="source: imgur.com" /></a>

For its Slam skill it fires out 5 projectiles evenly upwards, this isn't really for flying enemies but to help damage crowds of enemies.

<a href="https://imgur.com/beAFC77"><img src="https://i.imgur.com/beAFC77.png" title="source: imgur.com" /></a>

Its Sunder skill now fires 5 projectiles in the direction the Guard is aiming. This allows them to hit flying enemies and also improves damage output to grounded enemies by almost twice as much.

**AI Changes**

The AI now prefers to use Sunder over Slam, this is so it doesn't get locked into using Slam against flying enemies that are slightly out of reach.
If the Beetle Guard has been trying to attack a flying enemy for too long it will switch targets with increased priority to grounded enemies.

**Item/Stacking Changes**

The total amount of Beetle Guards each player can have at once is now capped at 3(6 with swarms). Further stacking increases the health and damage of Beetle Guards.
If you lose Queen's Glands excess Beetle Guards will now be killed until its back within the cap. The 30 second respawn timer for Beetle Guards now actually works. Beetle Guards now also spawn with an Elite Affix because why not. 

**Extra Skills**

The mod also adds 2 new skills to the Beetle Guard to make them useful beyond damage.

A new Utility called "Recall". This skill teleports the user back to their owner, the AI uses this when it's beyond the leash length. This ability is useful for those situations where the Beetle Guard is incapable of navigating back to their owner.

A new Special called "Staunch". This skill gives the user a buff for 10 seconds that forces nearby enemy AI to target it, also during this nearby friendly Beetle Guards gain increased stats. This ability helps keep Beetle Guards useful even after their damage has fallen off.

## Known Issues

- Probably has issues in multiplayer that didn't come up when tested. (Please yell at me if there is.)
- Health bar looks messed up for clients when the Guards start getting bonus health.
- Swarms will cause an extra Guard to spawn, if it goes over the limit it will spawn in and die immediately. (Is this really an issue?)

## ToDo

- Actually replace the SkillDrivers properly instead of replacing the Guard's AI when it spawns.
- Maybe more configurations.

## Change Log

`1.0.0`

- First public release.

## Credits & Special Thanks

* **Rob** - HenryMod tutorial and most of the structure being based on it.
* **RoR2 Modding Discord** - For helping me figure out how to make a ContentPack work.
* **StandaloneAncientScepter Devs** - Code used to change the deployable limits is based on their Turret changes.

And probably other people that I can't remember.

## Contact

You can find me as kking117#0370 on discord.